Retrieve an asset
curl --request GET \
--url https://sandbox-remote-api.rayda.co/api/v2/client/assets/{asset_id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Records fetched successfully",
"data": {
"id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"specifications": [
{
"id": "9d5d68f7-4bde-4a1c-b27b-1c596795046a",
"asset_spec_id": "9d5d68f7-4bde-4a1c-b27b-1c596795046a",
"asset_id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"category": "Macbook",
"asset_code": null,
"status": "Available",
"spec": {
"condition": "New",
"display": "13.6 Inches",
"RAM": "16GB",
"storage": "512GB SSD"
},
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"asset_pricing": {
"id": "9dc2203e-ccde-40b3-bc7d-6da8ab1974a8",
"amount": "3200",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
}
},
{
"id": "9d5c1a9b-79f1-4a84-a9ea-7bef2861bbe6",
"asset_spec_id": "9d5c1a9b-79f1-4a84-a9ea-7bef2861bbe6",
"asset_id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"category": "Macbook",
"asset_code": null,
"status": "Available",
"spec": {
"condition": "New",
"display": "13 Inches",
"RAM": "8GB",
"storage": "512GB SSD",
"processor": "8Core CPU"
},
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"asset_pricing": {
"id": "9dc21f53-57f6-4550-9f9d-fada818c0c9e",
"amount": "3200",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
}
}
],
"category": "Macbook",
"asset_code": null,
"status": "Available"
}
}Assets
Get an Asset
Retrieve an asset based on the employee’s resident country and the company’s preferred payment currency.
GET
/
client
/
assets
/
{asset_id}
Retrieve an asset
curl --request GET \
--url https://sandbox-remote-api.rayda.co/api/v2/client/assets/{asset_id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Records fetched successfully",
"data": {
"id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"specifications": [
{
"id": "9d5d68f7-4bde-4a1c-b27b-1c596795046a",
"asset_spec_id": "9d5d68f7-4bde-4a1c-b27b-1c596795046a",
"asset_id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"category": "Macbook",
"asset_code": null,
"status": "Available",
"spec": {
"condition": "New",
"display": "13.6 Inches",
"RAM": "16GB",
"storage": "512GB SSD"
},
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"asset_pricing": {
"id": "9dc2203e-ccde-40b3-bc7d-6da8ab1974a8",
"amount": "3200",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
}
},
{
"id": "9d5c1a9b-79f1-4a84-a9ea-7bef2861bbe6",
"asset_spec_id": "9d5c1a9b-79f1-4a84-a9ea-7bef2861bbe6",
"asset_id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"category": "Macbook",
"asset_code": null,
"status": "Available",
"spec": {
"condition": "New",
"display": "13 Inches",
"RAM": "8GB",
"storage": "512GB SSD",
"processor": "8Core CPU"
},
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"asset_pricing": {
"id": "9dc21f53-57f6-4550-9f9d-fada818c0c9e",
"amount": "3200",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
}
}
],
"category": "Macbook",
"asset_code": null,
"status": "Available"
}
}This endpoint retrieves an asset based on the employee’s resident country and the company’s preferred payment currency.
Use the
country_id and currency_code query parameters to refine your result.Query Parameters
country_id(string) (required) - The ID of the country where the employee is resident.currency_code(string) (required) - The currency code (e.g., GBP) in which the company prefers to pay.
Example Request
GET /api/v2/client/assets/9d5c19a5-e840-4522-bbf1-7a41b9c30d79?country_id=b9bbd993-6556-4186-a00b-61346f9f66be¤cy_code=GBP
Example Response
{
"success": true,
"message": "Records fetched successfully",
"data": {
"id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"specifications": [
{
"id": "9d5d68f7-4bde-4a1c-b27b-1c596795046a",
"asset_spec_id": "9d5d68f7-4bde-4a1c-b27b-1c596795046a",
"asset_id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"category": "Macbook",
"asset_code": null,
"status": "Available",
"spec": {
"condition": "New",
"display": "13.6 Inches",
"RAM": "16GB",
"storage": "512GB SSD"
},
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"asset_pricing": {
"id": "9dc2203e-ccde-40b3-bc7d-6da8ab1974a8",
"amount": "3200",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
}
},
{
"id": "9d5c1a9b-79f1-4a84-a9ea-7bef2861bbe6",
"asset_spec_id": "9d5c1a9b-79f1-4a84-a9ea-7bef2861bbe6",
"asset_id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"category": "Macbook",
"asset_code": null,
"status": "Available",
"spec": {
"condition": "New",
"display": "13 Inches",
"RAM": "8GB",
"storage": "512GB SSD",
"processor": "8Core CPU"
},
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"asset_pricing": {
"id": "9dc21f53-57f6-4550-9f9d-fada818c0c9e",
"amount": "3200",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
}
}
],
"category": "Macbook",
"asset_code": null,
"status": "Available"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the country where the employee is resident.
The currency code (e.g., GBP) in which the company prefers to pay.
Response
Records fetched successfully
The response is of type object.
⌘I